Subject: Re: ucc_uart: add support for Freescale QUICCEngine UART

From: Arnd Bergmann <[email-masked]>
Date: Wed, 5 Dec 2007 00:39:38 +0100

On Wednesday 05 December 2007, Scott Wood wrote:
> 
> > You can argue that the QS is really a DMA device, but in that case you
> > should convert the driver to use the DMA mapping interfaces correctly,
> > which I would consider overkill.
> 
> Why is it overkill?
> 

Well, if the QE can never be used with an IOMMU anyway, you don't
lose any functionality by considering it a physical address instead of
a DMA address.

The DMA mapping API is meant for the cases where physical and dma
addresses can be different in the first place.

	Arnd <><